package com.mortals.xhx.module.one.model;

import java.util.List;
import com.mortals.xhx.module.one.model.OneClassifyEntity;
/**
* 分类引导查询对象
*
* @author zxfei
* @date 2021-11-16
*/
public class OneClassifyQuery extends OneClassifyEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 分类名称 */
    private List<String> classifyNameList;

    /** 分类引导提问 */
    private List<String> tNameList;

    /** 开始 分类级别 */
    private Long classifyLevelStart;

    /** 结束 分类级别 */
    private Long classifyLevelEnd;

    /** 增加 分类级别 */
    private Long classifyLevelIncrement;

    /** 分类级别列表 */
    private List <Long> classifyLevelList;

    /** 业务ID */
    private List<String> businessIdList;

    /** 事项ID */
    private List<String> matterIdsList;

    /** 开始 父级ID */
    private Long parentIdStart;

    /** 结束 父级ID */
    private Long parentIdEnd;

    /** 增加 父级ID */
    private Long parentIdIncrement;

    /** 父级ID列表 */
    private List <Long> parentIdList;

    /** 分类备注 */
    private List<String> sortRemarksList;

    /** 开始 是否问题，0问题，1是答案 默认0 */
    private Integer isAnsStart;

    /** 结束 是否问题，0问题，1是答案 默认0 */
    private Integer isAnsEnd;

    /** 增加 是否问题，0问题，1是答案 默认0 */
    private Integer isAnsIncrement;

    /** 是否问题，0问题，1是答案 默认0列表 */
    private List <Integer> isAnsList;

    /** 开始 是否叶子节点，0否，1是 默认0 */
    private Integer isLeafStart;

    /** 结束 是否叶子节点，0否，1是 默认0 */
    private Integer isLeafEnd;

    /** 增加 是否叶子节点，0否，1是 默认0 */
    private Integer isLeafIncrement;

    /** 是否叶子节点，0否，1是 默认0列表 */
    private List <Integer> isLeafList;

    /** 开始 是否删除 */
    private Integer deletedStart;

    /** 结束 是否删除 */
    private Integer deletedEnd;

    /** 增加 是否删除 */
    private Integer deletedIncrement;

    /** 是否删除列表 */
    private List <Integer> deletedList;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人名称 */
    private List<String> createUserNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 修改人 */
    private Long updateUserIdStart;

    /** 结束 修改人 */
    private Long updateUserIdEnd;

    /** 增加 修改人 */
    private Long updateUserIdIncrement;

    /** 修改人列表 */
    private List <Long> updateUserIdList;

    /** 修改人名称 */
    private List<String> updateUserNameList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<OneClassifyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<OneClassifyQuery> andConditionList;

    public OneClassifyQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 分类名称
    * @return classifyNameList
    */
    public List<String> getClassifyNameList(){
        return this.classifyNameList;
    }

    /**
    * 设置 分类名称
    * @param classifyNameList
    */
    public void setClassifyNameList(List<String> classifyNameList){
        this.classifyNameList = classifyNameList;
    }
    /**
    * 获取 分类引导提问
    * @return tNameList
    */
    public List<String> getTNameList(){
        return this.tNameList;
    }

    /**
    * 设置 分类引导提问
    * @param tNameList
    */
    public void setTNameList(List<String> tNameList){
        this.tNameList = tNameList;
    }
    /**
    * 获取 开始 分类级别
    * @return classifyLevelStart
    */
    public Long getClassifyLevelStart(){
        return this.classifyLevelStart;
    }

    /**
    * 设置 开始 分类级别
    * @param classifyLevelStart
    */
    public void setClassifyLevelStart(Long classifyLevelStart){
        this.classifyLevelStart = classifyLevelStart;
    }

    /**
    * 获取 结束 分类级别
    * @return $classifyLevelEnd
    */
    public Long getClassifyLevelEnd(){
        return this.classifyLevelEnd;
    }

    /**
    * 设置 结束 分类级别
    * @param classifyLevelEnd
    */
    public void setClassifyLevelEnd(Long classifyLevelEnd){
        this.classifyLevelEnd = classifyLevelEnd;
    }

    /**
    * 获取 增加 分类级别
    * @return classifyLevelIncrement
    */
    public Long getClassifyLevelIncrement(){
        return this.classifyLevelIncrement;
    }

    /**
    * 设置 增加 分类级别
    * @param classifyLevelIncrement
    */
    public void setClassifyLevelIncrement(Long classifyLevelIncrement){
        this.classifyLevelIncrement = classifyLevelIncrement;
    }

    /**
    * 获取 分类级别
    * @return classifyLevelList
    */
    public List<Long> getClassifyLevelList(){
        return this.classifyLevelList;
    }

    /**
    * 设置 分类级别
    * @param classifyLevelList
    */
    public void setClassifyLevelList(List<Long> classifyLevelList){
        this.classifyLevelList = classifyLevelList;
    }

    /**
    * 获取 业务ID
    * @return businessIdList
    */
    public List<String> getBusinessIdList(){
        return this.businessIdList;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public void setBusinessIdList(List<String> businessIdList){
        this.businessIdList = businessIdList;
    }
    /**
    * 获取 事项ID
    * @return matterIdsList
    */
    public List<String> getMatterIdsList(){
        return this.matterIdsList;
    }

    /**
    * 设置 事项ID
    * @param matterIdsList
    */
    public void setMatterIdsList(List<String> matterIdsList){
        this.matterIdsList = matterIdsList;
    }
    /**
    * 获取 开始 父级ID
    * @return parentIdStart
    */
    public Long getParentIdStart(){
        return this.parentIdStart;
    }

    /**
    * 设置 开始 父级ID
    * @param parentIdStart
    */
    public void setParentIdStart(Long parentIdStart){
        this.parentIdStart = parentIdStart;
    }

    /**
    * 获取 结束 父级ID
    * @return $parentIdEnd
    */
    public Long getParentIdEnd(){
        return this.parentIdEnd;
    }

    /**
    * 设置 结束 父级ID
    * @param parentIdEnd
    */
    public void setParentIdEnd(Long parentIdEnd){
        this.parentIdEnd = parentIdEnd;
    }

    /**
    * 获取 增加 父级ID
    * @return parentIdIncrement
    */
    public Long getParentIdIncrement(){
        return this.parentIdIncrement;
    }

    /**
    * 设置 增加 父级ID
    * @param parentIdIncrement
    */
    public void setParentIdIncrement(Long parentIdIncrement){
        this.parentIdIncrement = parentIdIncrement;
    }

    /**
    * 获取 父级ID
    * @return parentIdList
    */
    public List<Long> getParentIdList(){
        return this.parentIdList;
    }

    /**
    * 设置 父级ID
    * @param parentIdList
    */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
    }

    /**
    * 获取 分类备注
    * @return sortRemarksList
    */
    public List<String> getSortRemarksList(){
        return this.sortRemarksList;
    }

    /**
    * 设置 分类备注
    * @param sortRemarksList
    */
    public void setSortRemarksList(List<String> sortRemarksList){
        this.sortRemarksList = sortRemarksList;
    }
    /**
    * 获取 开始 是否问题，0问题，1是答案 默认0
    * @return isAnsStart
    */
    public Integer getIsAnsStart(){
        return this.isAnsStart;
    }

    /**
    * 设置 开始 是否问题，0问题，1是答案 默认0
    * @param isAnsStart
    */
    public void setIsAnsStart(Integer isAnsStart){
        this.isAnsStart = isAnsStart;
    }

    /**
    * 获取 结束 是否问题，0问题，1是答案 默认0
    * @return $isAnsEnd
    */
    public Integer getIsAnsEnd(){
        return this.isAnsEnd;
    }

    /**
    * 设置 结束 是否问题，0问题，1是答案 默认0
    * @param isAnsEnd
    */
    public void setIsAnsEnd(Integer isAnsEnd){
        this.isAnsEnd = isAnsEnd;
    }

    /**
    * 获取 增加 是否问题，0问题，1是答案 默认0
    * @return isAnsIncrement
    */
    public Integer getIsAnsIncrement(){
        return this.isAnsIncrement;
    }

    /**
    * 设置 增加 是否问题，0问题，1是答案 默认0
    * @param isAnsIncrement
    */
    public void setIsAnsIncrement(Integer isAnsIncrement){
        this.isAnsIncrement = isAnsIncrement;
    }

    /**
    * 获取 是否问题，0问题，1是答案 默认0
    * @return isAnsList
    */
    public List<Integer> getIsAnsList(){
        return this.isAnsList;
    }

    /**
    * 设置 是否问题，0问题，1是答案 默认0
    * @param isAnsList
    */
    public void setIsAnsList(List<Integer> isAnsList){
        this.isAnsList = isAnsList;
    }

    /**
    * 获取 开始 是否叶子节点，0否，1是 默认0
    * @return isLeafStart
    */
    public Integer getIsLeafStart(){
        return this.isLeafStart;
    }

    /**
    * 设置 开始 是否叶子节点，0否，1是 默认0
    * @param isLeafStart
    */
    public void setIsLeafStart(Integer isLeafStart){
        this.isLeafStart = isLeafStart;
    }

    /**
    * 获取 结束 是否叶子节点，0否，1是 默认0
    * @return $isLeafEnd
    */
    public Integer getIsLeafEnd(){
        return this.isLeafEnd;
    }

    /**
    * 设置 结束 是否叶子节点，0否，1是 默认0
    * @param isLeafEnd
    */
    public void setIsLeafEnd(Integer isLeafEnd){
        this.isLeafEnd = isLeafEnd;
    }

    /**
    * 获取 增加 是否叶子节点，0否，1是 默认0
    * @return isLeafIncrement
    */
    public Integer getIsLeafIncrement(){
        return this.isLeafIncrement;
    }

    /**
    * 设置 增加 是否叶子节点，0否，1是 默认0
    * @param isLeafIncrement
    */
    public void setIsLeafIncrement(Integer isLeafIncrement){
        this.isLeafIncrement = isLeafIncrement;
    }

    /**
    * 获取 是否叶子节点，0否，1是 默认0
    * @return isLeafList
    */
    public List<Integer> getIsLeafList(){
        return this.isLeafList;
    }

    /**
    * 设置 是否叶子节点，0否，1是 默认0
    * @param isLeafList
    */
    public void setIsLeafList(List<Integer> isLeafList){
        this.isLeafList = isLeafList;
    }

    /**
    * 获取 开始 是否删除
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 修改人
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 修改人
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 修改人
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 修改人
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 修改人名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public OneClassifyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public OneClassifyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public OneClassifyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public OneClassifyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public OneClassifyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 分类名称
    * @param classifyName
    */
    public OneClassifyQuery classifyName(String classifyName){
        setClassifyName(classifyName);
		return this;
    }

    /**
    * 设置 分类名称
    * @param classifyNameList
    */
    public OneClassifyQuery classifyNameList(List<String> classifyNameList){
        this.classifyNameList = classifyNameList;
		return this;
    }


	/**
    * 设置 分类引导提问
    * @param tName
    */
    public OneClassifyQuery tName(String tName){
        setTName(tName);
		return this;
    }

    /**
    * 设置 分类引导提问
    * @param tNameList
    */
    public OneClassifyQuery tNameList(List<String> tNameList){
        this.tNameList = tNameList;
		return this;
    }

    /**
    * 设置  分类级别
    * @param classifyLevel
    */
    public OneClassifyQuery classifyLevel(Long classifyLevel){
	    setClassifyLevel(classifyLevel);
		return this;
    }
	
	 /**
    * 设置 开始 分类级别
    * @param classifyLevelStart
    */
    public OneClassifyQuery classifyLevelStart(Long classifyLevelStart){
		this.classifyLevelStart = classifyLevelStart;
		return this;
    }

    /**
    * 设置 结束 分类级别
    * @param classifyLevelEnd
    */
    public OneClassifyQuery classifyLevelEnd(Long classifyLevelEnd){
		this.classifyLevelEnd = classifyLevelEnd;
		return this;
    }

    /**
    * 设置 增加 分类级别
    * @param classifyLevelIncrement
    */
    public OneClassifyQuery classifyLevelIncrement(Long classifyLevelIncrement){
		this.classifyLevelIncrement = classifyLevelIncrement;
		return this;
    }

    /**
    * 设置 分类级别
    * @param classifyLevelList
    */
    public OneClassifyQuery classifyLevelList(List<Long> classifyLevelList){
        this.classifyLevelList = classifyLevelList;
		return this;
        }


	/**
    * 设置 业务ID
    * @param businessId
    */
    public OneClassifyQuery businessId(String businessId){
        setBusinessId(businessId);
		return this;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public OneClassifyQuery businessIdList(List<String> businessIdList){
        this.businessIdList = businessIdList;
		return this;
    }


	/**
    * 设置 事项ID
    * @param matterIds
    */
    public OneClassifyQuery matterIds(String matterIds){
        setMatterIds(matterIds);
		return this;
    }

    /**
    * 设置 事项ID
    * @param matterIdsList
    */
    public OneClassifyQuery matterIdsList(List<String> matterIdsList){
        this.matterIdsList = matterIdsList;
		return this;
    }

    /**
    * 设置  父级ID
    * @param parentId
    */
    public OneClassifyQuery parentId(Long parentId){
	    setParentId(parentId);
		return this;
    }
	
	 /**
    * 设置 开始 父级ID
    * @param parentIdStart
    */
    public OneClassifyQuery parentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
		return this;
    }

    /**
    * 设置 结束 父级ID
    * @param parentIdEnd
    */
    public OneClassifyQuery parentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
		return this;
    }

    /**
    * 设置 增加 父级ID
    * @param parentIdIncrement
    */
    public OneClassifyQuery parentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
		return this;
    }

    /**
    * 设置 父级ID
    * @param parentIdList
    */
    public OneClassifyQuery parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
		return this;
        }


	/**
    * 设置 分类备注
    * @param sortRemarks
    */
    public OneClassifyQuery sortRemarks(String sortRemarks){
        setSortRemarks(sortRemarks);
		return this;
    }

    /**
    * 设置 分类备注
    * @param sortRemarksList
    */
    public OneClassifyQuery sortRemarksList(List<String> sortRemarksList){
        this.sortRemarksList = sortRemarksList;
		return this;
    }

    /**
    * 设置  是否问题，0问题，1是答案 默认0
    * @param isAns
    */
    public OneClassifyQuery isAns(Integer isAns){
	    setIsAns(isAns);
		return this;
    }
	
	 /**
    * 设置 开始 是否问题，0问题，1是答案 默认0
    * @param isAnsStart
    */
    public OneClassifyQuery isAnsStart(Integer isAnsStart){
		this.isAnsStart = isAnsStart;
		return this;
    }

    /**
    * 设置 结束 是否问题，0问题，1是答案 默认0
    * @param isAnsEnd
    */
    public OneClassifyQuery isAnsEnd(Integer isAnsEnd){
		this.isAnsEnd = isAnsEnd;
		return this;
    }

    /**
    * 设置 增加 是否问题，0问题，1是答案 默认0
    * @param isAnsIncrement
    */
    public OneClassifyQuery isAnsIncrement(Integer isAnsIncrement){
		this.isAnsIncrement = isAnsIncrement;
		return this;
    }

    /**
    * 设置 是否问题，0问题，1是答案 默认0
    * @param isAnsList
    */
    public OneClassifyQuery isAnsList(List<Integer> isAnsList){
        this.isAnsList = isAnsList;
		return this;
        }

    /**
    * 设置  是否叶子节点，0否，1是 默认0
    * @param isLeaf
    */
    public OneClassifyQuery isLeaf(Integer isLeaf){
	    setIsLeaf(isLeaf);
		return this;
    }
	
	 /**
    * 设置 开始 是否叶子节点，0否，1是 默认0
    * @param isLeafStart
    */
    public OneClassifyQuery isLeafStart(Integer isLeafStart){
		this.isLeafStart = isLeafStart;
		return this;
    }

    /**
    * 设置 结束 是否叶子节点，0否，1是 默认0
    * @param isLeafEnd
    */
    public OneClassifyQuery isLeafEnd(Integer isLeafEnd){
		this.isLeafEnd = isLeafEnd;
		return this;
    }

    /**
    * 设置 增加 是否叶子节点，0否，1是 默认0
    * @param isLeafIncrement
    */
    public OneClassifyQuery isLeafIncrement(Integer isLeafIncrement){
		this.isLeafIncrement = isLeafIncrement;
		return this;
    }

    /**
    * 设置 是否叶子节点，0否，1是 默认0
    * @param isLeafList
    */
    public OneClassifyQuery isLeafList(List<Integer> isLeafList){
        this.isLeafList = isLeafList;
		return this;
        }

    /**
    * 设置  是否删除
    * @param deleted
    */
    public OneClassifyQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除
    * @param deletedStart
    */
    public OneClassifyQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除
    * @param deletedEnd
    */
    public OneClassifyQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除
    * @param deletedIncrement
    */
    public OneClassifyQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除
    * @param deletedList
    */
    public OneClassifyQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

    /**
    * 设置  创建人id
    * @param createUserId
    */
    public OneClassifyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public OneClassifyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public OneClassifyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public OneClassifyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public OneClassifyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


	/**
    * 设置 创建人名称
    * @param createUserName
    */
    public OneClassifyQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public OneClassifyQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  修改人
    * @param updateUserId
    */
    public OneClassifyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public OneClassifyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public OneClassifyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public OneClassifyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public OneClassifyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


	/**
    * 设置 修改人名称
    * @param updateUserName
    */
    public OneClassifyQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public OneClassifyQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<OneClassifyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<OneClassifyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<OneClassifyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<OneClassifyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}